edu.wpi.first.wpilibj.hal

## Class NotifierJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.NotifierJNI

-     public class NotifierJNI
      extends JNIWrapper

  The NotifierJNI class directly wraps the C++ HAL Notifier.

  This class is not meant for direct use by teams. Instead, the edu.wpi.first.wpilibj.Notifier class, which corresponds to the C++ Notifier class, should be used.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `NotifierJNI.NotifierJNIHandlerFunction` Callback function.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifierJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `cleanNotifier(int notifierHandle)` Deletes the notifier object when we are done with it.
    `static int` | `initializeNotifier(NotifierJNI.NotifierJNIHandlerFunction func)` Initializes the notifier.
    `static void` | `stopNotifierAlarm(int notifierHandle)` Tells the notifier to stop calling the callback.
    `static void` | `updateNotifierAlarm(int notifierHandle, long triggerTime)` Sets the notifier to call the callback in another triggerTime microseconds.

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotifierJNI

          public NotifierJNI()

  - ### Method Detail

    - #### initializeNotifier

          public static int initializeNotifier(NotifierJNI.NotifierJNIHandlerFunction func)

      Initializes the notifier.

    - #### cleanNotifier

          public static void cleanNotifier(int notifierHandle)

      Deletes the notifier object when we are done with it.

    - #### updateNotifierAlarm

          public static void updateNotifierAlarm(int notifierHandle,
                                                 long triggerTime)

      Sets the notifier to call the callback in another triggerTime microseconds.

    - #### stopNotifierAlarm

          public static void stopNotifierAlarm(int notifierHandle)

      Tells the notifier to stop calling the callback.